<template>
    <div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Nama Inovasi</th>
                                    <th class="text-center">Status</th>
                                    <th class="text-center">Data Isian Inovasi</th>
                                    <th class="text-center">Kuisioner Kesiapan Inovasi</th>
                                </tr>
                            </thead>
                            <tbody>
                                <!--check if datainovasi tidak kosong -->
                                <tr v-if="(datainovasi!='')">
                                    <td v-if="datainovasi.nama_singkat!=null">{{ datainovasi.nama_singkat}}</td>
                                    <td v-if="datainovasi.nama_singkat===null"><i>&lt;Silakan Isi Data Inovasi&gt;</i></td>
                                    <td class="text-center">
                                        <div v-if="(status=='pending')">
                                            <button type="button" class="btn btn-secondary">
                                                Data sudah lengkap dan siap diproses
                                            </button>
                                        </div>
                                        <div v-if="(status=='proses')">
                                                <button type="button" class="btn btn-info">
                                                Proses
                                            </button>
                                        </div>
                                        <div v-if="(status=='approve')">
                                                <button type="button" class="btn btn-success">
                                                Approve
                                            </button>
                                        </div>
                                        <div v-if="(status=='revisi')">
                                                <button type="button" class="btn btn-warning">
                                                Revisi
                                            </button>
                                        </div>
                                        <div v-if="(status=='draft')">
                                                <button type="button" class="btn btn-danger">
                                                Data Belum Lengkap
                                            </button>
                                        </div>
                                    </td>
                                    <td class="text-center">
                                        <button class="btn btn-success mb-1 mb-md-0" type="submit" name="action" @click.prevent="editInovasi()">Edit Data
                                        <i class="mdi mdi-send"></i>
                                        </button>
                                    </td>
                                    <td v-if="datainovasi.kuisioner_id!=1" class="text-center">
                                        <button class="btn btn-success mb-1 mb-md-0" type="submit" name="action" @click.prevent="editKuisioner()">Edit Data
                                        <i class="mdi mdi-send"></i>
                                        </button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                </div>
            </div>
        </div>
        <button class="btn btn-primary" type="submit"  @click.prevent="back()">Kembali</button>
    </div>
</template>

<script>

    export default {
        props: ['dataprops'],
        //Binding Data
        data() {
            return {
                component:'AddInovasi',
                token:document.head.querySelector('meta[name="csrf-token"]').content,
                datainovasi:[],
                status:'',
                category:'',
            }
        },

        created(){
            this.initial();
            // this.getUrusanInovasi();
            this.getInnovator();
        },

        methods: {
            initial(){
                // this.currentData.id = this.dataprops.id
                this.datainovasi = this.dataprops
                this.status = this.dataprops.status
                // console.log(this.innovatorcategory)
            },
            getInnovator(){
                let url = 'getinnovator'
                axios.get(url).then(response => {
                   this.category = response.data.category_id
                })
            },
            //function when user click the button submit
            addInovasi(){
                // if (this.category===1) {
                    this.toNextComponent('InovasiOpd')
                // }else{
                //     this.toNextComponent('InovasiNonopd')
                // }
            },
            editInovasi(){
                // if (this.category===1) {
                    this.toNextComponent('EditinovasiOpd')
                // }else{
                //     this.toNextComponent('EditinovasiNonopd')
                // }
            },
            back(){
                let data = {
                    visit:'DataInovasi'
                }
                this.$emit('datacomponent', data)
            },
            //ediit from vue table
            editKuisioner(){
                // if (this.category===1) {
                    this.toNextComponent('KuisionerOpd')
                // }else{
                //     this.toNextComponent('KuisionerNonopd')
                // }
            },


            //function send to next component
            toNextComponent(visit){
                let datamerged = Object.assign({data:this.datainovasi});
                let data = {
                    back:this.component,
                    data:datamerged,
                    visit
                }
                this.$emit('datacomponent', data)
            },
        },
    }
</script>

<style>

</style>
